# DependencyReportTask

API Documentation: | `DependencyReportTask`

Displays the dependency tree for a project. Can be configured to output to a file, and to optionally output a graphviz compatible "dot" graph. An instance of this type is used when you execute the `dependencies` task from the command-line.

### Properties

Property | Description
`configurations` | The configurations to generate the report for. Default to all configurations of this task's containing project.
`outputFile` | The file which the report will be written to. When set to `null`, the report is written to `System.out`. Defaults to `null`.
`projects` | The set of project to generate this report for. By default, the report is generated for the task's containing project.

### Property details

#### ``Set`<`Configuration`>` `configurations`

The configurations to generate the report for. Default to all configurations of this task's containing project.

Default with `project-report` plugin:
  `project.configurations`

#### `File` `outputFile`

The file which the report will be written to. When set to `null`, the report is written to `System.out`. Defaults to `null`.

Default with `project-report` plugin:
  ``${project.projectReportDir}`/dependencies.txt`

#### ``Set`<`Project`>` `projects`

The set of project to generate this report for. By default, the report is generated for the task's containing project.

Default with `project-report` plugin:
  `[project]`

### Script blocks

No script blocks

### Methods

No methods